Replacement Shaver Charger Cable for Hatteker Cordless Trimmer Clipper
Replacement Shaver Charger Cable for Hatteker Cordless Trimmer Clipper
Product Features
- Product ParametersAC Adapter 100-240V~0.3A 50/60Hz, Output: 5W 5V-1A, 100% Brand New Shaver Charging Cable.
- Compatible withHafiuege Replacement Charger Cable Compatible with Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-9598, RSCX-7568 and more
- Flexibility & DurbilityProvides you fancy texture and extreme durability. Multiple layers of shielding minimize interference, corrosion-resistant and optimal signal clarity, effectively prolong the cable service life.
- Sape & ReliableWe provide best protection, Built in upgraded intelligent IC circuit, This beard trimmer charger provides your Speaker perfect protection from over current protection, over voltage protection, short circuit protection, over temperature protection
- Safety & Customer ServiceWe are committed to providing first class products at unbeatable prices and We offer a 24-month warranty service
Buy with confidence as this product comes with 18 months full local warranty in Australia & New Zealand (unless otherwise stated in the overview).
This product also comes with the benefits of the Warranty. For further details please read our Warranty Guidelines.
You can also purchase 3 Year Extended Care. If you are interested please see our Extended Care Information.